summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--audio/clam_voice2midi/README6
-rw-r--r--audio/clam_voice2midi/clam_voice2midi.SlackBuild89
-rw-r--r--audio/clam_voice2midi/clam_voice2midi.info10
-rw-r--r--audio/clam_voice2midi/doinst.sh3
-rw-r--r--audio/clam_voice2midi/slack-desc19
-rw-r--r--audio/clam_voice2midi/voice2midi.desktop8
-rw-r--r--audio/clam_voice2midi/voice2midi.pngbin0 -> 13184 bytes
7 files changed, 135 insertions, 0 deletions
diff --git a/audio/clam_voice2midi/README b/audio/clam_voice2midi/README
new file mode 100644
index 0000000000..df50936e3b
--- /dev/null
+++ b/audio/clam_voice2midi/README
@@ -0,0 +1,6 @@
+voice2midi (convert singing/humming into MIDI files)
+
+voice2midi is a GUI tool to that loads audio files containing monophonic
+melodies and extracts the melody as a MIDI file or as an XML file.
+
+This requires clam.
diff --git a/audio/clam_voice2midi/clam_voice2midi.SlackBuild b/audio/clam_voice2midi/clam_voice2midi.SlackBuild
new file mode 100644
index 0000000000..e4b53a694f
--- /dev/null
+++ b/audio/clam_voice2midi/clam_voice2midi.SlackBuild
@@ -0,0 +1,89 @@
+#!/bin/sh
+
+# Slackware build script for clam_voice2midi
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+PRGNAM=clam_voice2midi
+VERSION=${VERSION:-0.3.9}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+SRCNAM=Voice2MIDI
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG/usr $OUTPUT # NB: $PKG/usr must exist, not just $PKG
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# If extra/kde3-compat/qt3 is installed, QTDIR will be set to
+# /opt/kde/lib(64)?/qt3, which confuses the build process, so set it
+# to the correct dir for Qt4. This does no harm on a system where qt3
+# is not installed.
+# If you have qt3 installed and still have compilation issues, make sure
+# /opt/kde3/lib(64)?/qt3/bin and/or /opt/kde3/bin are *NOT* in your PATH.
+# If all else fails, removepkg qt3 and reinstall it afterwards.
+export QTDIR=$QT4DIR
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+ scons \
+ prefix=/usr \
+ clam_prefix=/usr
+
+scons install prefix=$PKG/usr
+strip $PKG/usr/bin/*
+
+mv $PKG/usr/share/man $PKG/usr/man
+gzip $PKG/usr/man/man?/*.?
+
+mkdir -p $PKG/usr/share/applications
+cat $CWD/voice2midi.desktop > $PKG/usr/share/applications/voice2midi.desktop
+
+# The icon is just the CLAM logo (clamlogo.png, taken from one of the
+# other CLAM apps)
+mkdir -p $PKG/usr/share/pixmaps
+cat $CWD/voice2midi.png > $PKG/usr/share/pixmaps/voice2midi.png
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+mv $PKG/usr/share/doc/voice2midi/* $PKG/usr/doc/$PRGNAM-$VERSION
+rm -rf $PKG/usr/share/doc
+
+cp -a \
+ CHANGES README COPYING INSTALL \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/audio/clam_voice2midi/clam_voice2midi.info b/audio/clam_voice2midi/clam_voice2midi.info
new file mode 100644
index 0000000000..b3411200c9
--- /dev/null
+++ b/audio/clam_voice2midi/clam_voice2midi.info
@@ -0,0 +1,10 @@
+PRGNAM="clam_voice2midi"
+VERSION="0.3.9"
+HOMEPAGE="http://clam-project.org"
+DOWNLOAD="http://clam-project.org/download/src/Voice2MIDI-0.3.9.tar.gz"
+MD5SUM="dda9abe54c683fa4c11b64194eda8f29"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="B. Watson"
+EMAIL="yalhcru@gmail.com"
+APPROVED="rworkman"
diff --git a/audio/clam_voice2midi/doinst.sh b/audio/clam_voice2midi/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/audio/clam_voice2midi/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/audio/clam_voice2midi/slack-desc b/audio/clam_voice2midi/slack-desc
new file mode 100644
index 0000000000..e9157d490a
--- /dev/null
+++ b/audio/clam_voice2midi/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+clam_voice2midi: voice2midi (convert singing/humming into MIDI files)
+clam_voice2midi:
+clam_voice2midi: voice2midi is a GUI tool to that loads audio files containing
+clam_voice2midi: monophonic melodies and extracts the melody as a MIDI file or
+clam_voice2midi: as an XML file.
+clam_voice2midi:
+clam_voice2midi:
+clam_voice2midi:
+clam_voice2midi:
+clam_voice2midi:
+clam_voice2midi:
diff --git a/audio/clam_voice2midi/voice2midi.desktop b/audio/clam_voice2midi/voice2midi.desktop
new file mode 100644
index 0000000000..823c2dccc0
--- /dev/null
+++ b/audio/clam_voice2midi/voice2midi.desktop
@@ -0,0 +1,8 @@
+[Desktop Entry]
+Name=CLAM Voice2MIDI
+Comment=An audio tool to convert humming/singing to MIDI files
+Icon=/usr/share/pixmaps/voice2midi.png
+Type=Application
+Categories=AudioVideo;Audio;Qt;
+Exec=Voice2MIDI
+Terminal=false
diff --git a/audio/clam_voice2midi/voice2midi.png b/audio/clam_voice2midi/voice2midi.png
new file mode 100644
index 0000000000..76498e0b87
--- /dev/null
+++ b/audio/clam_voice2midi/voice2midi.png
Binary files differ